<?
include 'connect.php';

//Только для авторизованных
if($u['id']){

switch($_GET['act'])
{
//Редактирование ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'edit':

$title = $title.' | Редактирование моей анкеты';
include 'head.php';
echo '<div class="title"><img src= "img/edit.gif"> Ред. моей анкеты</div>';

echo '<div class="subtitle">';
echo '<img src= "img/anketa.gif"> <a href = "profile.php">В анкету </a>';
echo '</div>';

echo '<div class="main_menu">';

//Если данные получены
if (isset($_POST['submit'])) {
$sex = $_POST['sex'];
if ($sex != 'zh' && $sex != 'm') $sex = 'm';
$anketa_name = check(substr($_POST['anketa_name'], 0, 50));
$anketa_surname = check(substr($_POST['anketa_surname'], 0, 50));
$anketa_bday = num($_POST['anketa_bday']);
   if($anketa_bday > 31) $anketa_bday = '';
$anketa_bmonth = num($_POST['anketa_bmonth']);
   if($anketa_bmonth > 12) $anketa_bmonth = '';
$anketa_byear = num($_POST['anketa_byear']);
   if($anketa_byear < 1920 or $anketa_byear > 1999) $anketa_byear = '';
$anketa_city = check(substr($_POST['anketa_city'], 0, 100));
$anketa_mphone = check(substr($_POST['anketa_mphone'], 0, 50));
$anketa_icq = check(substr($_POST['anketa_icq'], 0, 50));
$anketa_site = check(substr($_POST['anketa_site'], 0, 50));
$anketa_activity = check(substr($_POST['anketa_activity'], 0, 1000));
$anketa_interests = check(substr($_POST['anketa_interests'], 0, 1000));
$anketa_about = check(substr($_POST['anketa_about'], 0, 1000));
if(($u['anketa_name']) AND ($u['anketa_city']) AND ($u['anketa_bday'] or $u['anketa_bmonth'] or $u['anketa_byear']))mysql_query("UPDATE `users` SET `ank` = '1' WHERE `id` = '$u[id]' LIMIT 1");
if($u['ank']==1)mysql_query("UPDATE `users` SET `rating` = '".($u['rating']+0.10)."' OR `ank` = '0' WHERE `id` = '$u[id]' LIMIT 1");
mysql_query("UPDATE `users` SET
`sex` = '$sex',
`anketa_name` = '$anketa_name',
`anketa_surname` = '$anketa_surname',
`anketa_bday` = '$anketa_bday',
`anketa_bmonth` = '$anketa_bmonth',
`anketa_byear` = '$anketa_byear',
`anketa_city` = '$anketa_city',
`anketa_mphone` = '$anketa_mphone',
`anketa_icq` = '$anketa_icq',
`anketa_site` = '$anketa_site',
`anketa_activity` = '$anketa_activity',
`anketa_interests` = '$anketa_interests',
`anketa_about` = '$anketa_about'
WHERE `id` = '".$u['id']."'
");
echo '<div class = "action">Изменения сохранены!</div><hr>';

$req = mysql_query("SELECT * FROM `users` WHERE `id` = '".$u['id']."' LIMIT 1");
$u = mysql_fetch_assoc($req);
}

//Вывод блоков для ввода
$anketa_name = checkout($u['anketa_name']);
$anketa_surname = checkout($u['anketa_surname']);
$anketa_city = checkout($u['anketa_city']);
$anketa_mphone = checkout($u['anketa_mphone']);
$anketa_icq = checkout($u['anketa_icq']);
$anketa_site = checkout($u['anketa_site']);
$anketa_activity = checkout($u['anketa_activity']);
$anketa_interests = checkout($u['anketa_interests']);
$anketa_about = checkout($u['anketa_about']);

echo '<form action="profile.php?act=edit" method=post>';

echo '<b> Основное</b><hr>';
echo '
Пол: <br/><select name="sex">
<option value="0">- Не выбран -</option>
<option value="zh" ' . ($u['sex'] == 'zh' ? ' selected="selected"' : '') . '>Женский</option>
<option value="m" ' . ($u['sex'] == 'm' ? ' selected="selected"' : '') . '>Мужской</option>
</select><hr>';
echo 'Имя: <br/><input type=text name=anketa_name maxlength=50 value='.$anketa_name.'><hr>';
echo 'Фамилия: <br/><input type=text name=anketa_surname maxlength=50 value='.$anketa_surname.'><hr>';
echo '
День рождения: <br/><select name="anketa_bday">
<option value="0">День</option>';
for ($i=1; $i<32; $i++) {
echo '<option value="'.$i.'" ' . ($i == $u["anketa_bday"] ? ' selected="selected"' : '') . '>'.$i.'</option>';}
echo '
</select>
';
echo '
<select name="anketa_bmonth">
<option value="0">Месяц</option>
<option value="1" ' . ($u["anketa_bmonth"] == 1 ? ' selected="selected"' : '') . '>Января</option>
<option value="2" ' . ($u["anketa_bmonth"] == 2 ? ' selected="selected"' : '') . '>Февраля</option>
<option value="3" ' . ($u["anketa_bmonth"] == 3 ? ' selected="selected"' : '') . '>Марта</option>
<option value="4" ' . ($u["anketa_bmonth"] == 4 ? ' selected="selected"' : '') . '>Апреля</option>
<option value="5" ' . ($u["anketa_bmonth"] == 5 ? ' selected="selected"' : '') . '>Мая</option>
<option value="6" ' . ($u["anketa_bmonth"] == 6 ? ' selected="selected"' : '') . '>Июня</option>
<option value="7" ' . ($u["anketa_bmonth"] == 7 ? ' selected="selected"' : '') . '>Июля</option>
<option value="8" ' . ($u["anketa_bmonth"] == 8 ? ' selected="selected"' : '') . '>Августа</option>
<option value="9" ' . ($u["anketa_bmonth"] == 9 ? ' selected="selected"' : '') . '>Сентября</option>
<option value="10" ' . ($u["anketa_bmonth"] == 10 ? ' selected="selected"' : '') . '>Октября</option>
<option value="11" ' . ($u["anketa_bmonth"] == 11 ? ' selected="selected"' : '') . '>Ноября</option>
<option value="12" ' . ($u["anketa_bmonth"] == 12 ? ' selected="selected"' : '') . '>Декабря</option>
</select>
';
echo '
<select name="anketa_byear">
<option value="0">Год</option>';
for ($i=1920; $i<2000; $i++) {
echo '<option value="'.$i.'" ' . ($i == $u["anketa_byear"] ? ' selected="selected"' : '') . '>'.$i.'</option>';}
echo '</select><hr>
';
echo '<b> Контакты</b><hr>';
echo 'Город: <br/><input type=text name=anketa_city maxlength=100 value='.$anketa_city.'><hr>';
echo 'Моб. телефон: <br/><input type=text name=anketa_mphone maxlength=50 value='.$anketa_mphone.'><hr>';
echo 'ICQ: <br/><input type=text name=anketa_icq maxlength=50 value='.$anketa_icq.'><hr>';
echo 'Веб-сайт: <br/><input type=text name=anketa_site maxlength=50 value='.$anketa_site.'><hr>';
echo '<b> Личное</b><hr>';
echo 'Деятельность: <br/><textarea cols="17" rows="2" name="anketa_activity">'.$anketa_activity.'</textarea><hr>';
echo 'Интересы: <br/><textarea cols="17" rows="2" name="anketa_interests">'.$anketa_interests.'</textarea><hr>';
echo 'О себе: <br/><textarea cols="17" rows="2" name="anketa_about">'.$anketa_about.'</textarea><hr>';
echo '
<input type=submit name="submit" value="Сохранить" class="submit white"/></form>';
echo '</div>';
include 'foot.php';

break;

//Анкета ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   }
}

//Если никто не выбрался
if(empty($user['id'])){
   if($u['id']){
   $id = $u['id'];
   $req = mysql_query("SELECT * FROM `users` WHERE `id` = '".$u['id']."' LIMIT 1");
   $user = mysql_fetch_assoc($req);
   } else {
   header ("Location: index.php");
   exit;
   }
}

if($id == $u['id']) $zag = 'Моя анкета';
else $zag = 'Анкета <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | '.$zag.'';
include 'head.php';

//Подзаголовок
echo '<div class="title"><img src= "img/anketa.gif"> '.$zag.'</div>';

if($id == $u['id']){
echo '<div class="subtitle">';
echo '<img src = "img/edit.gif"> <a href = "profile.php?act=edit"> Редактировать</a>';
echo '</div>';
}

echo '<div class="main_menu">';

   //Скрываем информацию **************************************************
   if($user['id'] != $u['id'] and $user['priv_anketa']){
      //Друзьям
      if($user['priv_anketa'] == 1) {
         if($myfriend) $access = true; else$access = false;
      }
      //Только себе
      if($user['priv_anketa'] == 2) {
      $access = false;
      } 
   } else { $access = true; }
   
   if($access == true){

$anketa_name = checkout($user['anketa_name']);
$anketa_surname = checkout($user['anketa_surname']);
$anketa_bday = $user['anketa_bday'];
$anketa_bmonth = $user['anketa_bmonth'];
$anketa_byear = $user['anketa_byear'];
$anketa_city = checkout($user['anketa_city']);
$anketa_mphone = checkout($user['anketa_mphone']);
$anketa_icq = checkout($user['anketa_icq']);
$anketa_site = checkout($user['anketa_site']);
$anketa_activity = checkout($user['anketa_activity']);
$anketa_interests = checkout($user['anketa_interests']);
$anketa_about = checkout($user['anketa_about']);

if($anketa_name or $anketa_surname or ($anketa_bday or $anketa_bmonth or $anketa_byear))
echo '<b>Основное</b><hr>';
if($anketa_name) echo 'Имя: <b>'.$anketa_name.'</b><hr>';
if($anketa_surname) echo 'Фамилия: <b>'.$anketa_surname.'</b><hr>';

if($anketa_bmonth > 0){
//Определяем месяц
if ($anketa_bmonth == 1) { $anketa_bmonth='Января';} else {
if ($anketa_bmonth == 2) { $anketa_bmonth='Февраля';} else {
if ($anketa_bmonth == 3) { $anketa_bmonth='Марта';} else {
if ($anketa_bmonth == 4) { $anketa_bmonth='Апреля';} else {
if ($anketa_bmonth == 5) { $anketa_bmonth='Мая';} else {
if ($anketa_bmonth == 6) { $anketa_bmonth='Июня';} else {
if ($anketa_bmonth == 7) { $anketa_bmonth='Июля';} else {
if ($anketa_bmonth == 8) { $anketa_bmonth='Августа';} else {
if ($anketa_bmonth == 9) { $anketa_bmonth='Сентября';} else {
if ($anketa_bmonth == 10) { $anketa_bmonth='Октября';} else {
if ($anketa_bmonth == 11) { $anketa_bmonth='Ноября';} else {
if ($anketa_bmonth == 12) { $anketa_bmonth='Декабря';} }}}}}}}}}}}
} else {$anketa_bmonth='';}  

if($anketa_bday == 0) $anketa_bday = '';

if($anketa_byear == 0) $anketa_byear = '';

if($anketa_bday or $anketa_bmonth or $anketa_byear) echo 'День рождения: <b>'.$anketa_bday.'</b> <b>'.$anketa_bmonth.'</b> <b>'.$anketa_byear.'</b><hr>';
//echo 'Семейное положение: <b></b><hr>';

if($anketa_city or $anketa_mphone or $anketa_icq or $anketa_site)
echo '<b>Контакты</b><hr>';
if($anketa_city) echo 'Город: <b>'.$anketa_city.'</b><hr>';
if($anketa_mphone) echo 'Моб. телефон: <b>'.$anketa_mphone.'</b><hr>';
if($anketa_icq) echo 'ICQ: <b>'.$anketa_icq.'</b><hr>';
if($anketa_site) echo 'Веб-сайт: <b>'.$anketa_site.'</b><hr>';

if($anketa_activity or $anketa_interests or $anketa_about)
echo '<b>Личное</b><hr>';
if($anketa_activity) echo 'Деятельность: <b>'.$anketa_activity.'</b><hr>';
if($anketa_interests) echo 'Интересы: <b>'.$anketa_interests.'</b><hr>';
if($anketa_about) echo 'О себе: <b>'.$anketa_about.'</b><hr>';

echo '<b>Доп. инфо</b><hr>';
if($user['sex'] == 'm') echo 'Зарегистрирован: <b>'.vremya($user['anketa_datareg']).'</b><hr>'; else echo 'Зарегистрирована: <b>'.vremya($user['anketa_datareg']).'</b><hr>';

if($user['online'] > (time()-600)) {
echo '<b>Сейчас на сайте</b>';
} else {
if($user['sex'] == 'm') echo 'Последний раз был: <b>'.vremya($user['online']).'</b><hr>'; else echo 'Последний раз была: <b>'.vremya($user['online']).'</b><hr>';
}

   } else {
   echo '<div class = "action"> Пользователь ограничивает круг лиц, которые могут просматривать эту информацию. </div>';
   }
   
echo '</div>';
include 'foot.php';
break;
}

} else {
header ("Location: index.php");
}

?>